## vdesk 1.1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/104 1998/03/24 12:45:15 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/249 1997/10/13 15:28:56 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.87 2000/12/02 19:06:57 herrb Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/30 1998/04/28 13:55:25 barstow $

# $XFree86: xc/config/cf/Imake.cf,v 3.63 2000/11/06 19:24:00 dawes Exp $

# Keep cpp from replacing path elements containing i486/1/i686

#  for compatibility with 3.3.x

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.170 2000/12/14 16:38:45 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/47 1998/04/17 11:32:51 mgreess

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.157 2000/12/14 17:00:46 dawes Exp $

# operating system:  Linux 2.4.0 i586 [ELF] (2.4.0)
# libc:	(6.1.3)
# binutils:	(30)

# $TOG: lnxLib.rules /main/14 1998/03/16 11:15:30 mgreess $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.38 2000/06/15 20:49:56 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.338 2000/12/14 16:59:06 dawes Exp $

# $TOG: xfree86.cf /main/38 1997/10/22 13:01:59 kaleb $

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.32 2000/10/30 23:02:06 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/227 1998/02/02 12:07:57 kaleb $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.86 2000/12/12 17:05:30 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR =

GLIDE3INCDIR =

GLIDE3LIBNAME =

TKLIBNAME =

TKLIBDIR =

TCLLIBNAME =

TCLIBDIR =

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = rman
      RMANOPTIONS = -f HTML
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /X11R6/include
        USRLIBDIR = /X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSUFFIX)
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
           RAWCPP = /lib/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7
  DRIVERMANSUFFIX = 4
          MANDEFS = -D__filemansuffix__=$(FILEMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__projectroot__=$(PROJECTROOT)

            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b
            MODCC = gcc
           MODCPP = /lib/cpp
        MODCFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREAD_CFLAGS) $(ALLDEFINES)
            MODAS = as
       MODASFLAGS =
            MODLD = ld
       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq
        MODRANLIB =

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR =
         TKINCDIR =
        TKLIBNAME =
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR =
        TCLINCDIR =
       TCLLIBNAME =
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# $XFree86: xc/config/cf/X11.rules,v 1.5 2000/11/06 19:24:00 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/308 1998/06/16 15:14:24 msr $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.93 2000/12/15 18:18:04 keithp Exp $

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
       LIBEXECDIR = /X11R6/libexec
        MODULEDIR = $(USRLIBDIR)/modules
   TOP_X_INCLUDES =

        ETCX11DIR = /etc/X11

          CONFDIR = $(ETCX11DIR)

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
      MKHTMLINDEX = $(BINDIR)/mkhtmlindex
          UCS2ANY = $(BINDIR)/ucs2any.pl
      BDFTRUNCATE = $(BINDIR)/bdftruncate.pl
     UCSMAPPREFIX = $(FONTDIR)/util/map-

     HTMLINDEXCMD = $(MKHTMLINDEX)

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
     ENCODINGSSRC = $(FONTSRC)/encodings
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc

## vdesk 1.2

=== debian/changelog ===
vdesk (1.2-4) unstable; urgency=low

  * QA upload.
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/changelog
    - Clean up white space.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to format 1.0.
  * debian/patches
    - (10): Move manual page to *.1 section.
  * debian/rules
    - Update to dh format.
    - Change manual page from *.1x to *.1.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 03 Mar 2013 11:58:01 +0200

vdesk (1.2-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)"
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important; Closes: #515395). Remove rman (minor; Closes: #492137).
      Update to debhelper 7.1.
    - (Description): Add more documentation.
    - (Depends): Add ${misc:Depends}.
    - (Standards-Version): Update to 3.8.4.
  * debian/rules
    - Delete EOL whitespaces.
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 May 2010 19:59:49 +0300

vdesk (1.2-3) unstable; urgency=low

  * New mantainer (Closes: #453668)
  * Updated with Standards-Version 3.7.3
  * Added the Homepage field inside the source stanza on debian/control
  * Cleaned the debian/copyright file with some details like the homepage and
    license description.
  * Cleaned the debian/rules file with minor details reported by lintian.
  * Added a debian/compat file updated with the 4 version.

 -- Anibal Avelar <aavelar@cofradia.org>  Thu, 13 Mar 2008 00:44:15 +0000

vdesk (1.2-2) unstable; urgency=low

  * Orphaning, setting maintainer to the QA group

 -- Thom May <thom@debian.org>  Fri, 30 Nov 2007 14:12:15 +0000

vdesk (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition
  * Splitted xlibs-dev build-dep (Closes: #346910)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 21:09:54 +0100

vdesk (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #291602)
  * Fix copyright file (Closes: #302928)
  * Add manual page for vdesk.1x (Closes: #291598)

 -- Thom May <thom@debian.org>  Mon, 18 Apr 2005 11:36:57 +0000

vdesk (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Thom May <thom@debian.org>  Sun,  5 Aug 2001 10:21:23 +1000

=== debian/control ===
Source: vdesk
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, x11proto-core-dev
Homepage: http://offog.org/code/vdesk.html
Standards-Version: 3.9.4

Package: vdesk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: aewm|sapphire|oroborus|phluid
Description: manages virtual desktops for minimal window managers
 vdesk takes the task of managing virtual desktops away from the
 window manager and implements an easy to use interface to those
 desktops. Aimed to be used in lightweight window managers that do not
 provide the functionality natively

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build
	#/usr/bin/docbook-to-man debian/vdesk.sgml > vdesk.1

override_dh_auto_install:
	dh_auto_install
	mv debian/vdesk/usr/share/man/man1/vdesk.1x \
	   debian/vdesk/usr/share/man/man1/vdesk.1

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

%:
	dh $@

# End of file

=== debian/watch ===
version=3
http://offog.org/files/ .*vdesk-([\d.]+).*\.tar\.gz
